Module SQL_案件管理系統
    Friend Sub SQL_案件摘要讀取()
        ConnOpen()
        SQL1 = "SELECT  單據編號, [地址/地號], 地主, 聯絡人, 面積編號, 建坪編號, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                        [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 太陽_出租人, 太陽_承租人, 太陽_KW數, 
                        太陽_租期, [太陽_租金%], 製錶, 備註, 圖片庫, 保證月, 鄰近地址, 所有權人, 承租公司名, 使用分區, 容積率, 
                        起造人,郵遞區號
                FROM    案件摘要總表"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件摘要驗證(地址 As String)
        ConnOpen() : SQL1 = "SELECT  [地址/地號]  FROM  案件摘要總表  WHERE  ([地址/地號] LIKE N'" & 地址 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要流水()
        ConnOpen() : SQL1 = "SELECT  單據編號 AS 流水號  FROM  案件摘要總表  WHERE  (單據編號 LIKE '%" & DTP1 & "%')  ORDER BY  單據編號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要總表 (單據編號, [地址/地號], 地主, 聯絡人, 面積編號, 建坪編號, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                                           保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 太陽_出租人, 太陽_承租人, 太陽_KW數, 
                                           太陽_租期, [太陽_租金%], 製錶, 備註, 圖片庫)
                VALUES  (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.地址_tb.Text & "', N'" & 案件摘要表.地主_tb.Text & "', N'" & 案件摘要表.聯絡人_tb.Text & "', N'', N'', 
                         N'" & 案件摘要表.用途_cb.Text & "', N'" & 案件摘要表.土地租期_nud.Value & "', N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 
                         N'" & 案件摘要表.土地租金_nud.Value & "', N'" & 案件摘要表.月坪租金_nud.Value & "', N'" & 案件摘要表.保證月_nud.Text & "', N'" & 案件摘要表.保證金_nud.Text & "', 
                         N'" & 案件摘要表.免租_nud.Value & "', N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', N'" & 案件摘要表.建照_dtp.Text & "', 
                         N'" & 案件摘要表.執照_dtp.Text & "', N'" & 案件摘要表.太_出租_tb.Text & "', N'" & 案件摘要表.太_承租_tb.Text & "', N'" & 案件摘要表.KW數_tb.Text & "', 
                         N'" & 案件摘要表.太陽開始_dtp.Text & " - " & 案件摘要表.太陽結束_dtp.Text & "', N'" & 案件摘要表.太_租金比_tb.Text & "', N'" & gUserName & "', 
                         N'" & 案件摘要表.備註_tb.Text & "', N'" & 圖片庫 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件太陽清單新增(單據編號 As String, 流水號 As String, 出租人 As String, 承租人 As String, KW數 As String, 租期 As String, 租金 As String, 出租方 As String, 承租方 As String, 饋線狀態 As String, 並聯起租 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_太陽 (單據編號, 流水號, 太陽_出租人, 太陽_承租人, 太陽_KW數, 太陽_租期, [太陽_租金%], 太陽_出租方, 太陽_承租方, 太陽_饋線狀態, 太陽_並聯起租) VALUES 
               (N'" & 單據編號 & "', N'" & 流水號 & "', N'" & 出租人 & "', N'" & 承租人 & "',   N'" & KW數 & "', N'" & 租期 & "', N'" & 租金 & "' , N'" & 出租方 & "', 
               N'" & 承租方 & "' , N'" & 饋線狀態 & "' , N'" & 並聯起租 & "' )"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要太陽修改(出租人 As String, 承租人 As String, KW數 As String, 租期 As String, 租金 As String, 出租方 As String, 承租方 As String, 饋線狀態 As String, 並聯起租 As String, 流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_太陽  SET 太陽_出租人 = N'" & 出租人 & "', 太陽_承租人 = N'" & 承租人 & "', 太陽_KW數 = N'" & KW數 & "', 
                                           太陽_租期 = N'" & 租期 & "', [太陽_租金%] = N'" & 租金 & "' , 太陽_出租方 = N'" & 出租方 & "' , 太陽_承租方 = N'" & 承租方 & "' , 
                                           太陽_饋線狀態 = N'" & 饋線狀態 & "' ,太陽_並聯起租 = N'" & 並聯起租 & "' 
                WHERE   流水號 LIKE N'" & 流水號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要修改(地址 As String, 地主 As String, 聯絡人 As String, 用途 As String, 土地租期 As String, 租期備註 As String, 土地月租 As String, 每坪月租 As String,
                          保證月 As String, 保證金 As String, 免興建 As String, 建期備註 As String, 建照核准日 As String, 取得使用執照日 As String, 備註 As String,
                          鄰近地址 As String, 所有權人 As String, 承租公司名 As String, 使用分區 As String, 容積率 As String, 起造人 As String, 流水號 As String, 郵遞區號 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要總表  SET  [地址/地號] = N'" & 地址 & "', 地主 = N'" & 地主 & "', 聯絡人 = N'" & 聯絡人 & "',  使用用途 = N'" & 用途 & "', 
                                          土地租期 = N'" & 土地租期 & "',  租期備註 = N'" & 租期備註 & "', 土地月租 = N'" & 土地月租 & "', 每坪月租 = N'" & 每坪月租 & "', 
                                          保證月 = N'" & 保證月 & "', [押金/保證金] = N'" & 保證金 & "',   免租興建期 = N'" & 免興建 & "', 建期備註 = N'" & 建期備註 & "', 
                                           建照核准日 = N'" & 建照核准日 & "', 取得使用執照日 = N'" & 取得使用執照日 & "', 備註 = N'" & 備註 & "' , 鄰近地址 = N'" & 鄰近地址 & "' , 
                                           所有權人 = N'" & 所有權人 & "' , 承租公司名 = N'" & 承租公司名 & "', 使用分區 = N'" & 使用分區 & "', 容積率 = N'" & 容積率 & "', 起造人 = N'" & 起造人 & "',
                                           郵遞區號 = N'" & 郵遞區號 & "'
                        WHERE 單據編號 LIKE N'" & 流水號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要總表  WHERE  (單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件類別()
        ConnOpen() : SQL1 = "SELECT  使用用途  FROM  案件摘要_建坪  GROUP BY  使用用途  ORDER BY  使用用途" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地清單()
        ConnOpen()
        SQL1 = "SELECT  單據編號, 流水號, 地主, 面積編號, 土地面積 AS [土地面積(平米)], 坪數, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                                        保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 備註, 免稅 , 興建保證金,  保證金返還日, 興建保證金返還日,
                                        暫訂租賃期間, 實際租賃期間, 土地區塊, 興建保證月, 暫訂租賃月,實際租賃月
                        FROM  案件摘要_土地 
                        WHERE   單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件土地_租賃條件清單(流水號 As String, 土地流水號 As String)
        ConnOpen()
        SQL1 = "SELECT  流水號,  租賃條件1時間, 租賃條件2時間, 租賃條件3時間, 租賃條件4時間, 租賃條件5時間, 
                            租賃條件6時間, 租賃條件7時間, 租賃條件1金額, 租賃條件2金額, 租賃條件3金額, 租賃條件4金額, 租賃條件5金額, 
                            租賃條件6金額, 租賃條件7金額
                        FROM  案件摘要_土地_租賃條件
                        WHERE   單據編號 LIKE N'" & 流水號 & "' AND 土地流水號 LIKE N'" & 土地流水號 & "' "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地_租賃條件_修改(流水號 As String, 土地流水號 As String, 租賃流水號 As String, 租賃條件1時間 As String, 租賃條件2時間 As String, 租賃條件3時間 As String,
                                租賃條件4時間 As String, 租賃條件5時間 As String, 租賃條件6時間 As String, 租賃條件7時間 As String, 租賃條件1金額 As String, 租賃條件2金額 As String,
                                租賃條件3金額 As String, 租賃條件4金額 As String, 租賃條件5金額 As String, 租賃條件6金額 As String, 租賃條件7金額 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_土地_租賃條件 SET 租賃條件1時間 =N'" & 租賃條件1時間 & "',租賃條件2時間 =N'" & 租賃條件2時間 & "',
                                        租賃條件3時間 =N'" & 租賃條件3時間 & "',租賃條件4時間 =N'" & 租賃條件4時間 & "',租賃條件5時間 =N'" & 租賃條件5時間 & "',
                                        租賃條件6時間 =N'" & 租賃條件6時間 & "',租賃條件7時間 =N'" & 租賃條件7時間 & "',租賃條件1金額 =N'" & 租賃條件1金額 & "',
                                        租賃條件2金額 =N'" & 租賃條件2金額 & "',租賃條件3金額 =N'" & 租賃條件3金額 & "',租賃條件4金額 =N'" & 租賃條件4金額 & "',
                                        租賃條件5金額 =N'" & 租賃條件5金額 & "',租賃條件6金額 =N'" & 租賃條件6金額 & "',租賃條件7金額 =N'" & 租賃條件7金額 & "'
                        WHERE   單據編號 LIKE N'" & 流水號 & "' AND 土地流水號 LIKE N'" & 土地流水號 & "'AND 流水號 LIKE N'" & 租賃流水號 & "' "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地_租賃條件_讀取最後一筆流水號()
        ConnOpen()
        SQL1 = "SELECT  TOP(1)  流水號    FROM 案件摘要_土地_租賃條件  ORDER BY 流水號 DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地_租賃條件_新增(流水號 As String, 土地流水號 As String, 租賃流水號 As String, 租賃條件1時間 As String, 租賃條件2時間 As String, 租賃條件3時間 As String,
                                租賃條件4時間 As String, 租賃條件5時間 As String, 租賃條件6時間 As String, 租賃條件7時間 As String, 租賃條件1金額 As String, 租賃條件2金額 As String,
                                租賃條件3金額 As String, 租賃條件4金額 As String, 租賃條件5金額 As String, 租賃條件6金額 As String, 租賃條件7金額 As String)
        ConnOpen()
        SQL1 = "INSERT INTO 案件摘要_土地_租賃條件 (流水號, 單據編號, 租賃條件1時間, 租賃條件2時間, 租賃條件3時間, 租賃條件4時間, 租賃條件5時間, 
                            租賃條件6時間, 租賃條件7時間, 租賃條件1金額, 租賃條件2金額, 租賃條件3金額, 租賃條件4金額, 租賃條件5金額, 
                            租賃條件6金額, 租賃條件7金額, 土地流水號) 
                        VALUES (N'" & 租賃流水號 & "',N'" & 流水號 & "',N'" & 租賃條件1時間 & "',N'" & 租賃條件2時間 & "',N'" & 租賃條件3時間 & "',N'" & 租賃條件4時間 & "',
                                        N'" & 租賃條件5時間 & "',N'" & 租賃條件6時間 & "' ,N'" & 租賃條件7時間 & "',N'" & 租賃條件1金額 & "',N'" & 租賃條件2金額 & "',
                                        N'" & 租賃條件3金額 & "' ,N'" & 租賃條件4金額 & "',N'" & 租賃條件5金額 & "',N'" & 租賃條件6金額 & "' ,N'" & 租賃條件7金額 & "',N'" & 土地流水號 & "'  )"
        CmdSet_For_dr()
    End Sub

    Friend Sub SQL_案件土地清單新增(興建保證金 As String, 保證金返還日 As String, 興建保證金返還日 As String, 暫訂租賃期間 As String, 實際租賃期間 As String,
                            土地區塊 As String, 興建保證月 As String, 暫訂租賃月 As String, 實際租賃月 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_土地 (單據編號, 流水號, 面積編號, 土地面積, 坪數, 使用用途, 土地租期, 租期備註, 土地月租, 每坪月租, 
                                            保證月, [押金/保證金], 免租興建期, 建期備註, 建照核准日, 取得使用執照日, 備註, 地主, 興建保證金, 
                                            保證金返還日, 興建保證金返還日, 暫訂租賃期間, 實際租賃期間, 興建保證月, 暫訂租賃月,實際租賃月) 
                VALUES (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.土地編號_tb.Text & "', N'*', N'0', N'0', N'" & 案件摘要表.用途_cb.Text & "', 
                        N'" & 案件摘要表.土地租期_nud.Value & "', N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 
                        N'" & 案件摘要表.土地租金_nud.Value & "', N'" & 案件摘要表.月坪租金_nud.Value & "', N'" & 案件摘要表.保證月_nud.Text & "', N'" & 案件摘要表.保證金_nud.Text & "', 
                        N'" & 案件摘要表.免租_nud.Value & "', N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', N'" & 案件摘要表.建照_dtp.Text & "', 
                        N'" & 案件摘要表.執照_dtp.Text & "', N'" & 案件摘要表.備註_tb.Text & "', N'*' , N'" & 興建保證金 & "', N'" & 保證金返還日 & "', 
                        N'" & 興建保證金返還日 & "', N'" & 暫訂租賃期間 & "', N'" & 實際租賃期間 & "', N'" & 興建保證月 & "', N'" & 暫訂租賃月 & "',
                        N'" & 實際租賃月 & "'  )"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地修改1(興建保證金 As String, 保證金返還日 As String, 興建保證金返還日 As String, 暫訂租賃期間 As String, 實際租賃期間 As String,
                             興建保證月 As String, 暫訂租賃月 As String, 實際租賃月 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_土地  SET  土地租期 = N'" & 案件摘要表.土地租期_nud.Value & "', 
                                           租期備註 = N'" & 案件摘要表.租期開始_dtp.Text & " - " & 案件摘要表.租期結束_dtp.Text & "', 土地月租 = N'" & 案件摘要表.土地租金_nud.Value & "', 
                                           每坪月租 = N'" & 案件摘要表.月坪租金_nud.Value & "', 保證月 = N'" & 案件摘要表.保證月_nud.Text & "', [押金/保證金] = N'" & 案件摘要表.保證金_nud.Text & "', 
                                           免租興建期 = N'" & 案件摘要表.免租_nud.Value & "', 建期備註 = N'" & 案件摘要表.免租開始_dtp.Text & " - " & 案件摘要表.免租結束_dtp.Text & "', 
                                           建照核准日 = N'" & 案件摘要表.建照_dtp.Text & "', 取得使用執照日 = N'" & 案件摘要表.執照_dtp.Text & "', 備註 = N'" & 案件摘要表.備註_tb.Text & "', 
                                           免稅 = N'" & 案件摘要表.未稅_ch.Checked & "' , 興建保證金 = N'" & 興建保證金 & "' , 保證金返還日 = N'" & 保證金返還日 & "', 
                                           興建保證金返還日 = N'" & 興建保證金返還日 & "', 暫訂租賃期間 = N'" & 暫訂租賃期間 & "' , 實際租賃期間 = N'" & 實際租賃期間 & "', 
                                           興建保證月 = N'" & 興建保證月 & "', 暫訂租賃月 = N'" & 暫訂租賃月 & "', 實際租賃月 = N'" & 實際租賃月 & "'
                WHERE 流水號 LIKE N'" & 案件摘要表.土地編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_土地  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地修改(面積編號 As String, 土地面積 As String, 坪數 As String, 地主 As String, 流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_土地  SET  面積編號 = N'" & 面積編號 & "', 土地面積 = N'" & 土地面積 & "', 坪數 =  N'" & 坪數 & "', 地主 =  N'" & 地主 & "'
                        WHERE 流水號 LIKE N'" & 流水號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_土地 WHERE 流水號 LIKE N'" & 案件摘要表.土地編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪清單(流水號 As String)
        ConnOpen()
        SQL1 = "SELECT  單據編號, 流水號, 建坪編號, 備註, 坪數, 面寬 AS [面寬(米)], 深度 AS [深度(米)], 高度, 滴水高度, 屋面方向, 建照號碼, 使用用途, 
                            使用執照號碼, 門牌, 建號, 簽約日, 其他約定事項, 面積土地, 面積建物
                         FROM  案件摘要_建坪  
                        WHERE 單據編號 LIKE N'" & 流水號 & "'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件建坪流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_建坪  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件太陽流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_太陽  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪清單新增()
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_建坪 (單據編號, 流水號, 建坪編號, 備註, 坪數, 面寬, 深度, 高度, 滴水高度, 屋面方向, 建照號碼, 使用用途, 
                            使用執照號碼, 門牌, 建號, 簽約日, 其他約定事項, 面積土地, 面積建物 ) VALUES 
               (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.建坪編號_tb.Text & "', N'*', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪修改(建坪編號 As String, 備註 As String, 坪數 As String, 面寬 As String, 深度 As String, 流水號 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_建坪  SET  建坪編號 = N'" & 建坪編號 & "', 備註 = N'" & 備註 & "', 坪數 = N'" & 坪數 & "', 面寬 = N'" & 面寬 & "', 深度 = N'" & 深度 & "' 
                        WHERE 流水號 LIKE N'" & 流水號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪_修改(高度 As String, 滴水高度 As String, 屋面方向 As String, 建照號碼 As String, 使用用途 As String, 使用執照號碼 As String, 門牌 As String,
                           建號 As String, 簽約日 As String, 其他約定事項 As String, 面積土地 As String, 面積建物 As String, 流水號 As String, 建坪編號 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_建坪  SET   高度 = N'" & 高度 & "', 滴水高度 = N'" & 滴水高度 & "', 屋面方向 = N'" & 屋面方向 & "', 建照號碼 = N'" & 建照號碼 & "' , 
                                使用用途 = N'" & 使用用途 & "' , 使用執照號碼 = N'" & 使用執照號碼 & "' , 門牌 = N'" & 門牌 & "' , 建號 = N'" & 建號 & "' , 簽約日 = N'" & 簽約日 & "' , 
                                其他約定事項 = N'" & 其他約定事項 & "' , 面積土地 = N'" & 面積土地 & "', 面積建物 = N'" & 面積建物 & "'
                        WHERE 單據編號 LIKE N'" & 流水號 & "' AND 流水號 LIKE N'" & 建坪編號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件建坪刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_建坪 WHERE 流水號 LIKE N'" & 案件摘要表.建坪編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  案件摘要附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 案件摘要附件 (流水號, 案件編號, 副檔名, 圖片) SELECT N'" & PA1 & "', N'" & 案件摘要表.流水號_tb.Text & "', N'" & PA2 & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_案件摘要附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  案件摘要附件  WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件讀取1()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  案件摘要附件  WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件承租附件讀取()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  圖片  FROM  案件承租附件   WHERE  (流水號 LIKE N'" & PA2 & "')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 案件摘要附件  WHERE  (流水號 LIKE  N'" & 案件摘要表.附件編碼1_lb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案, 副檔名  FROM  案件摘要附件 WHERE 案件編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件承租附件()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號, 流水號 AS 檔案  FROM  案件承租附件 WHERE 承租編號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "' ORDER BY 流水號" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件承租讀取(流水號 As String)
        ConnOpen()
        SQL1 = "SELECT   案件摘要_承租.單據編號, 案件摘要_建坪.流水號 AS 建坪號, 案件摘要_承租.流水號, 案件摘要_承租.承租客, 
                         案件摘要_建坪.建坪編號, 案件摘要_承租.承租狀態, 案件摘要_承租.聯絡人1, 案件摘要_承租.電話1, 
                         案件摘要_承租.聯絡人2, 案件摘要_承租.電話2, 案件摘要_承租.聯絡人3, 案件摘要_承租.電話3, 
                         案件摘要_承租.開發窗口, 案件摘要_承租.[店長/店經理], 案件摘要_承租.[坪數/區塊面積], 案件摘要_承租.租期開始, 
                         案件摘要_承租.租期結束, 案件摘要_承租.免租期, 案件摘要_承租.租金, 案件摘要_承租.[押金/保證金], 
                         案件摘要_承租.保證金備註, 案件摘要_建坪.坪數, 客戶資料表.客戶名稱, 案件摘要_承租.單據編號 AS 承租, 案件摘要_承租.免稅
                FROM     案件摘要_承租 INNER JOIN
                         案件摘要_建坪 ON 案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號 INNER JOIN
                         客戶資料表 ON 案件摘要_承租.承租客 = 客戶資料表.流水號
                 WHERE  (案件摘要_承租.單據編號 LIKE N'" & 流水號 & "') ORDER BY 案件摘要_承租.流水號 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件太陽讀取(單據編號 As String)
        ConnOpen()
        SQL1 = "SELECT  流水號, 流水號 AS 檔案, 太陽_出租人, 太陽_承租人, 太陽_KW數, 太陽_租期, [太陽_租金%], 太陽_出租方,太陽_承租方,太陽_饋線狀態,太陽_並聯起租
                FROM    案件摘要_太陽  WHERE  (單據編號 LIKE N'" & 單據編號 & "')"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件太陽刪除(流水號 As String)
        ConnOpen() : SQL1 = "DELETE  案件摘要_太陽 WHERE 流水號 LIKE N'" & 流水號 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_建坪類別(流水號 As String)
        ConnOpen() : SQL1 = "SELECT  建坪編號  FROM  案件摘要_建坪  WHERE  單據編號 LIKE N'" & 流水號 & "'  GROUP BY  建坪編號  ORDER BY  建坪編號" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租流水()
        ConnOpen() : SQL1 = "SELECT  流水號  FROM  案件摘要_承租  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單新增(承租狀態 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_承租 (單據編號, 建坪編號, 流水號, 承租狀態, 承租客, 聯絡人1, 電話1, 聯絡人2, 電話2, 聯絡人3, 電話3, 開發窗口, 
                             [店長/店經理], [坪數/區塊面積], 租期開始, 租期結束, 免租期, 租金, [押金/保證金], 保證金備註, 免稅) VALUES 
               (N'" & 案件摘要表.流水號_tb.Text & "', N'" & 案件摘要表.承租區塊編號_lb.Text & "', N'" & 案件摘要表.承租編號_tb.Text & "', N'" & 承租狀態 & "', 
                N'" & 案件摘要表.客戶流水_tb.Text & "', N'" & 案件摘要表.聯絡人1_tb.Text & "', N'" & 案件摘要表.電話1_tb.Text & "', N'" & 案件摘要表.聯絡人2_tb.Text & "', 
                N'" & 案件摘要表.電話2_tb.Text & "', N'" & 案件摘要表.聯絡人3_tb.Text & "', N'" & 案件摘要表.電話3_tb.Text & "', N'" & 案件摘要表.開發窗口_tb.Text & "', 
                N'" & 案件摘要表.店長_tb.Text & "', N'" & 案件摘要表.面積_tb.Text & "', N'" & 案件摘要表.租期開始1_dtp.Text & "', N'" & 案件摘要表.租期結束1_dtp.Text & "', 
                N'" & 案件摘要表.免租開始1_dtp.Text & " - " & 案件摘要表.免租結束1_dtp.Text & "', N'" & 案件摘要表.租金_nud.Value & "',N'" & 案件摘要表.押金_nud.Value & "', 
                N'" & 案件摘要表.備註1_tb.Text & "', N'" & 案件摘要表.未稅1_ch.Checked & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單修改(承租狀態 As String)
        ConnOpen()
        SQL1 = "UPDATE 案件摘要_承租 SET 承租狀態 = N'" & 承租狀態 & "', 承租客 = N'" & 案件摘要表.客戶流水_tb.Text & "', 聯絡人1 = N'" & 案件摘要表.聯絡人1_tb.Text & "', 
                                         電話1 = N'" & 案件摘要表.電話1_tb.Text & "', 聯絡人2 = N'" & 案件摘要表.聯絡人2_tb.Text & "', 電話2 = N'" & 案件摘要表.電話2_tb.Text & "', 
                                         聯絡人3 = N'" & 案件摘要表.聯絡人3_tb.Text & "', 電話3 = N'" & 案件摘要表.電話3_tb.Text & "', 開發窗口 = N'" & 案件摘要表.開發窗口_tb.Text & "', 
                                         [店長/店經理] = N'" & 案件摘要表.店長_tb.Text & "', [坪數/區塊面積] = N'" & 案件摘要表.面積_tb.Text & "', 租期開始 = N'" & 案件摘要表.租期開始1_dtp.Text & "', 
                                         租期結束 = N'" & 案件摘要表.租期結束1_dtp.Text & "', 免租期 = N'" & 案件摘要表.免租開始1_dtp.Text & " - " & 案件摘要表.免租結束1_dtp.Text & "', 
                                         租金 = N'" & 案件摘要表.租金_nud.Value & "', [押金/保證金] = N'" & 案件摘要表.押金_nud.Value & "', 保證金備註 = N'" & 案件摘要表.備註1_tb.Text & "', 
                                         免稅 = N'" & 案件摘要表.未稅1_ch.Checked & "' 
                WHERE 流水號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租明細查詢(流水號 As String, 建坪編號 As String, 租金明細編號 As String)
        ConnOpen()
        SQL1 = "SELECT 租金明細1時間, 租金明細2時間, 租金明細3時間,  租金明細4時間, 租金明細5時間, 租金明細1金額, 租金明細2金額, 租金明細3金額, 租金明細4金額,
                                        租金明細5金額
                        FROM 案件摘要_建坪_租金明細
                        WHERE  單據編號 LIKE N'" & 流水號 & "' AND  建坪編號 LIKE N'" & 建坪編號 & "' AND  租金明細編號 LIKE N'" & 租金明細編號 & "' "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租明細新增(流水號 As String, 建坪編號 As String, 租金明細流水號 As String, 租金明細1時間 As String, 租金明細2時間 As String,
                            租金明細3時間 As String, 租金明細4時間 As String, 租金明細5時間 As String, 租金明細1金額 As String, 租金明細2金額 As String, 租金明細3金額 As String,
                            租金明細4金額 As String, 租金明細5金額 As String, 租金明細編號 As String)
        ConnOpen()
        SQL1 = "INSERT INTO 案件摘要_建坪_租金明細 (單據編號, 建坪編號, 租金明細編號, 流水號, 租金明細內容, 編號, 租金明細1時間, 租金明細2時間, 租金明細3時間, 租金明細4時間, 
                            租金明細5時間, 租金明細1金額, 租金明細2金額, 租金明細3金額, 租金明細4金額, 租金明細5金額 )
                        VALUES (N'" & 流水號 & "',N'" & 建坪編號 & "',N'" & 租金明細編號 & "',N'" & 租金明細流水號 & "',N'',N'',N'" & 租金明細1時間 & "',N'" & 租金明細2時間 & "',
                            N'" & 租金明細3時間 & "',N'" & 租金明細4時間 & "',N'" & 租金明細5時間 & "',N'" & 租金明細1金額 & "',N'" & 租金明細2金額 & "',N'" & 租金明細3金額 & "',
                            N'" & 租金明細4金額 & "',N'" & 租金明細5金額 & "'  )"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件土地_租金明細_讀取最後一筆流水號()
        ConnOpen()
        SQL1 = "SELECT  TOP(1)  流水號    FROM 案件摘要_建坪_租金明細  ORDER BY 流水號 DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租明細修改(流水號 As String, 建坪編號 As String, 租金明細流水號 As String, 租金明細1時間 As String, 租金明細2時間 As String,
                            租金明細3時間 As String, 租金明細4時間 As String, 租金明細5時間 As String, 租金明細1金額 As String, 租金明細2金額 As String, 租金明細3金額 As String,
                            租金明細4金額 As String, 租金明細5金額 As String)
        ConnOpen()
        SQL1 = "UPDATE 案件摘要_建坪_租金明細  SET ( 租金明細1時間 = N'" & 租金明細1時間 & "', 租金明細2時間 = N'" & 租金明細2時間 & "', 
                            租金明細3時間= N'" & 租金明細3時間 & "', 租金明細4時間= N'" & 租金明細4時間 & "', 租金明細5時間= N'" & 租金明細5時間 & "',
                            租金明細1金額= N'" & 租金明細1金額 & "', 租金明細2金額= N'" & 租金明細2金額 & "', 租金明細3金額= N'" & 租金明細3金額 & "', 
                            租金明細4金額= N'" & 租金明細4金額 & "', 租金明細5金額= N'" & 租金明細5金額 & "' )
                        WHERE 單據編號 LIKE N'" & 流水號 & "' AND 建坪編號 LIKE N'" & 建坪編號 & "' AND 租金明細流水號 LIKE N'" & 租金明細流水號 & "' "
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租清單刪除()
        ConnOpen() : SQL1 = "DELETE 案件摘要_承租  WHERE 流水號 LIKE N'" & 案件摘要表.承租編號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租附件流水驗證()
        ConnOpen_圖庫SQL() : SQL1 = "SELECT  流水號  FROM  案件承租附件  WHERE  (流水號 LIKE '%" & DTP1 & "%')  ORDER BY  流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件承租入系統()
        ConnOpen_圖庫SQL()
        SQL1 = "INSERT INTO 案件承租附件 (流水號, 承租編號, 圖片) SELECT N'" & PA1 & "', N'" & 案件摘要表.承租編號_tb.Text & "', @binary_file"
        CmdSet_For_dr_pic()
    End Sub
    Friend Sub SQL_案件承租附件刪除()
        ConnOpen_圖庫SQL() : SQL1 = "DELETE 案件承租附件  WHERE  (流水號 LIKE  N'" & 案件摘要表.承租編號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要總表刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要總表 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要_土地刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_土地 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "DELETE  案件摘要_土地_租賃條件 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要_建坪刪除()
        ConnOpen() : SQL1 = "DELETE  案件摘要_建坪 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
        ConnOpen() : SQL1 = "DELETE  案件摘要_建坪_租金明細 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要_承租刪除()
        ConnOpen() : SQL1 = "DELETE   案件摘要_承租 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要_太陽刪除()
        ConnOpen() : SQL1 = "DELETE   案件摘要_太陽 WHERE 單據編號 LIKE N'" & 案件摘要表.流水號_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案場清單讀取()
        ConnOpen()
        SQL1 = "SELECT      案件摘要總表.[地址/地號], 案件摘要總表.地主, 案件摘要_建坪.建坪編號, 案件摘要_建坪.備註, 案件摘要_建坪.坪數, 
                            案件摘要_建坪.使用用途, 案件摘要總表.租期備註 AS 土地租期, RIGHT(案件摘要總表.租期備註, 10) AS 地租到期, 案件摘要_承租.承租狀態, 客戶資料表.客戶名稱, 
                            客戶資料表.類別, 案件摘要_承租.免租期 AS 客免租期, 案件摘要_承租.租期開始 AS 客戶起租, 案件摘要_承租.租期結束 AS 客租到期, 
                            案件摘要_承租.[坪數/區塊面積], 案件摘要_建坪.面寬, 案件摘要_建坪.深度, 案件摘要_建坪.高度, 
                            案件摘要_建坪.滴水高度, 案件摘要_建坪.屋面方向, 案件摘要_建坪.建照號碼, 案件摘要_建坪.使用執照號碼, 
                            案件摘要_建坪.建號, 案件摘要_建坪.其他約定事項, 案件摘要_建坪.面積土地, 案件摘要_建坪.面積建物, 
                            案件摘要總表.容積率
                FROM        客戶資料表 INNER JOIN
                            案件摘要_承租 ON 客戶資料表.流水號 = 案件摘要_承租.承租客 RIGHT OUTER JOIN
                            案件摘要_建坪 INNER JOIN
                            案件摘要總表 ON 案件摘要_建坪.單據編號 = 案件摘要總表.單據編號 ON 
                            案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號
                WHERE     ( " & SQL2 & " )     ORDER BY  案件摘要總表.[地址/地號], 案件摘要_建坪.建坪編號"
        CmdSet_For_DGV()
    End Sub
    '(2025 BETWEEN CONVERT(FLOAT, LEFT(案件摘要總表.租期備註, 4)) AND 
    '                       CONVERT(FLOAT, SUBSTRING(案件摘要總表.租期備註, 13, 4)))
    '---報修單---
    Friend Sub SQL_報修單清單(單據狀態 As String)
        ConnOpen()
        SQL1 = "SELECT    報修單號, 申請日期, 報修人, 報修日期, 連絡電話, 接洽人員, 承租客, 案場, 鄰近地址, 原因, 維修日期, 維修狀況, 
                          維修人員, 單據狀態, 門牌
                FROM      報修單
                WHERE     單據狀態 LIKE N'" & 單據狀態 & "' ORDER BY  報修單號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_鄰近地址類別(承租狀態 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 案件摘要總表.鄰近地址,案件摘要總表.單據編號
                         FROM              案件摘要_承租 INNER JOIN
                                                    客戶資料表 ON 案件摘要_承租.承租客 = 客戶資料表.流水號 INNER JOIN
                                                    案件摘要總表 ON 案件摘要_承租.單據編號 = 案件摘要總表.單據編號
                         WHERE          (案件摘要_承租.承租狀態 LIKE N'" & 承租狀態 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_建坪編號類別(鄰近地址 As String, 門牌 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 案件摘要_建坪.建坪編號
                        FROM              案件摘要總表 INNER JOIN
                                                    案件摘要_建坪 ON 案件摘要總表.單據編號 = 案件摘要_建坪.單據編號
                        WHERE          (案件摘要總表.鄰近地址 LIKE N'" & 鄰近地址 & "') AND 案件摘要_建坪.門牌 LIKE N'" & 門牌 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_門牌類別(鄰近地址 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 案件摘要_建坪.門牌
                        FROM              案件摘要總表 INNER JOIN
                                                    案件摘要_建坪 ON 案件摘要總表.單據編號 = 案件摘要_建坪.單據編號
                        WHERE          (案件摘要總表.鄰近地址 LIKE N'" & 鄰近地址 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_租客類別(鄰近地址 As String, 門牌 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 客戶資料表.客戶名稱, 案件摘要_建坪.建坪編號
                        FROM              案件摘要_承租 INNER JOIN
                                                    客戶資料表 ON 案件摘要_承租.承租客 = 客戶資料表.流水號 INNER JOIN
                                                    案件摘要_建坪 ON 案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號 INNER JOIN
                                                    案件摘要總表 ON 案件摘要_承租.單據編號 = 案件摘要總表.單據編號
                        WHERE          (案件摘要_承租.承租狀態 LIKE N'S') AND (案件摘要總表.鄰近地址 LIKE N'" & 鄰近地址 & "') AND 
                                                    (案件摘要_建坪.門牌 LIKE N'" & 門牌 & "' OR 案件摘要_建坪.門牌 LIKE N'')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_承租客資料查詢(承租客 As String, 建坪編號 As String)
        ConnOpen()
        SQL1 = "SELECT DISTINCT 客戶資料表.客戶名稱, 案件摘要_建坪.門牌, 案件摘要總表.鄰近地址
                        FROM              客戶資料表 INNER JOIN
                                                    案件摘要_承租 ON 客戶資料表.流水號 = 案件摘要_承租.承租客 INNER JOIN
                                                    案件摘要_建坪 ON 案件摘要_承租.建坪編號 = 案件摘要_建坪.流水號 INNER JOIN
                                                    案件摘要總表 ON 案件摘要_建坪.單據編號 = 案件摘要總表.單據編號    
                        WHERE          (客戶資料表.客戶名稱 LIKE N'" & 承租客 & "')  AND 案件摘要_建坪.建坪編號 LIKE N'" & 建坪編號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_查詢最後一筆報修單號()
        ConnOpen()
        SQL1 = "SELECT TOP(1) 報修單號 FROM 報修單 ORDER BY 報修單號 DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_報修單_新增(報修單號 As String, 申請日期 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  報修單(報修單號, 報修人, 報修日期, 連絡電話, 接洽人員, 承租客, 案場, 鄰近地址, 原因, 維修日期, 維修狀況, 
                            維修人員, 單據狀態, 申請日期, 門牌  )  
                        VALUES  (N'" & 報修單號 & "',N'',N' ',N'',N'',N'',N'',N'',N'',N' ',N'',N'',N'未維修',N'" & 申請日期 & "',N'' )"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_報修單刪除(報修單號 As String)
        ConnOpen()
        SQL1 = "DELETE FROM 報修單 WHERE (報修單號 LIKE N'" & 報修單號 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_報修單_修改(報修單號 As String, 報修人 As String, 報修日期 As String, 連絡電話 As String, 接洽人員 As String, 承租客 As String, 案場 As String,
                         鄰近地址 As String, 原因 As String, 維修日期 As String, 維修狀況 As String, 維修人員 As String, 門牌 As String)
        ConnOpen()
        SQL1 = "UPDATE  報修單 SET 報修人=N'" & 報修人 & "', 報修日期=N'" & 報修日期 & "', 連絡電話=N'" & 連絡電話 & "', 接洽人員=N'" & 接洽人員 & "', 
                                承租客=N'" & 承租客 & "', 案場=N'" & 案場 & "', 鄰近地址=N'" & 鄰近地址 & "', 原因=N'" & 原因 & "', 維修日期=N'" & 維修日期 & "',
                                維修狀況=N'" & 維修狀況 & "', 維修人員=N'" & 維修人員 & "'   , 門牌=N'" & 門牌 & "' 
                         WHERE 報修單號 LIKE N'" & 報修單號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_報修單_修改狀態(報修單號 As String)
        ConnOpen()
        SQL1 = "UPDATE  報修單 SET 單據狀態 = N'已維修'
                         WHERE 報修單號 LIKE N'" & 報修單號 & "'"
        CmdSet_For_dr()
    End Sub
    '---------------太陽能獨立----------
    Friend Sub SQL_案件太陽讀取_改(讀取條件 As String)
        ConnOpen()
        SQL1 = "SELECT          案件摘要_太陽.流水號, 案件摘要_太陽.單據編號, 案件摘要_太陽.太陽_出租人, 案件摘要_太陽.太陽_承租人, 
                                                案件摘要_太陽.太陽_KW數, 案件摘要_太陽.太陽_租期, 案件摘要_太陽.[太陽_租金%], 案件摘要_太陽.太陽_出租方, 
                                                案件摘要_太陽.太陽_承租方, 案件摘要_太陽.太陽_饋線狀態, 案件摘要_太陽.太陽_並聯起租, 
                                                案件摘要_太陽.太陽_地主, 案件摘要_太陽.太陽_地址, 案件摘要總表.製錶
                         FROM              案件摘要_太陽 LEFT OUTER JOIN   案件摘要總表 ON 案件摘要_太陽.單據編號 = 案件摘要總表.單據編號
                         " & 讀取條件
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_案件太陽清單新增_改(單據編號 As String, 流水號 As String, 出租人 As String, 承租人 As String, KW數 As String, 租期 As String, 租金 As String,
                              出租方 As String, 承租方 As String, 饋線狀態 As String, 並聯起租 As String, 太陽_地主 As String, 太陽_地址 As String)
        ConnOpen()
        SQL1 = "INSERT INTO  案件摘要_太陽 (單據編號, 流水號, 太陽_出租人, 太陽_承租人, 太陽_KW數, 太陽_租期, [太陽_租金%], 太陽_出租方, 太陽_承租方, 太陽_饋線狀態, 太陽_並聯起租, 太陽_地主, 太陽_地址
                ) VALUES   (N'" & 單據編號 & "', N'" & 流水號 & "', N'" & 出租人 & "', N'" & 承租人 & "',   N'" & KW數 & "', N'" & 租期 & "', N'" & 租金 & "' , N'" & 出租方 & "', 
               N'" & 承租方 & "' , N'" & 饋線狀態 & "' , N'" & 並聯起租 & "', N'" & 太陽_地主 & "', N'" & 太陽_地址 & "' )"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_案件摘要太陽修改_改(出租人 As String, 承租人 As String, KW數 As String, 租期 As String, 租金 As String, 出租方 As String, 承租方 As String,
                              饋線狀態 As String, 並聯起租 As String, 流水號 As String, 太陽_地主 As String, 太陽_地址 As String)
        ConnOpen()
        SQL1 = "UPDATE  案件摘要_太陽  SET 太陽_出租人 = N'" & 出租人 & "', 太陽_承租人 = N'" & 承租人 & "', 太陽_KW數 = N'" & KW數 & "', 
                                           太陽_租期 = N'" & 租期 & "', [太陽_租金%] = N'" & 租金 & "' , 太陽_出租方 = N'" & 出租方 & "' , 太陽_承租方 = N'" & 承租方 & "' , 
                                           太陽_饋線狀態 = N'" & 饋線狀態 & "' ,太陽_並聯起租 = N'" & 並聯起租 & "' ,太陽_地主 = N'" & 太陽_地主 & "' ,太陽_地址 = N'" & 太陽_地址 & "' 
                WHERE   流水號 LIKE N'" & 流水號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_取得地號(單據編號 As String)
        ConnOpen()
        SQL1 = "SELECT       [地址/地號], 地主
                        FROM              案件摘要總表
                        WHERE   單據編號 LIKE N'" & 單據編號 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_年份()
        ConnOpen() : SQL1 = "SELECT  年份   FROM   年份清單    ORDER  BY   年份 " : CmdSet_For_dr()
    End Sub
End Module
